//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

#ifndef _DATAFRAME_
#define _DATAFRAME_

//=======================================================================
// ----- Framework Includes -----
#ifndef FWFRAME_H
#include <FWFrame.h>		// FW_CFrame
#endif

//=======================================================================
class FW_CLASS_ATTR CDataPart;

//=======================================================================
class FW_CLASS_ATTR CDataFrame : public FW_CFrame {
public:
						CDataFrame(Environment* ev, 
									ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CDataPart* dataPart);
	virtual 			~CDataFrame();
protected:
// overrides
	virtual void		Draw(Environment *ev, 
							 ODFacet* odFacet, 
							 ODShape* invalidShape);
	virtual FW_Boolean	DoMouseDown(Environment* ev, 
									const FW_CMouseEvent& theMouseEvent);
private:
	CDataPart*			fDataPart;
};

//=======================================================================
#endif
